summaryrefslogtreecommitdiffstats
path: root/system/motion/motion.SlackBuild
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@sekurity.com>2010-05-11 22:26:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:26:47 +0200
commit73f7d2cd7eb48fd8797eb6113fbe1146720e8679 (patch)
tree07c55e4058ff0d85fc39d7854a794f5d1883ca45 /system/motion/motion.SlackBuild
parentda6032dd3990b797166c964e1d4ee10e7e5fc6e1 (diff)
downloadslackbuilds-73f7d2cd7eb48fd8797eb6113fbe1146720e8679.tar.gz
slackbuilds-73f7d2cd7eb48fd8797eb6113fbe1146720e8679.tar.xz
system/motion: Updated for version 3.2.11
Diffstat (limited to 'system/motion/motion.SlackBuild')
-rw-r--r--system/motion/motion.SlackBuild29
1 files changed, 20 insertions, 9 deletions
diff --git a/system/motion/motion.SlackBuild b/system/motion/motion.SlackBuild
index 7ce2f12f99..8b6849acc0 100644
--- a/system/motion/motion.SlackBuild
+++ b/system/motion/motion.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=motion
-VERSION=3.2.9
+VERSION=3.2.11
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -45,11 +47,17 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-find . -type d -exec chmod 0755 {} \;
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch to support newer ffmpeg-versions
+patch -p1 -i $CWD/$PRGNAM-3.2.11-offsett.patch
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -57,24 +65,27 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/man \
- --localstatedir=/var
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-strip --strip-unneeded $PKG/usr/bin/motion
-if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-fi
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Let's not clobber the config file
mv $PKG/etc/motion-dist.conf $PKG/etc/motion-dist.conf.new
mv $PKG/usr/share/doc $PKG/usr/doc
-rmdir $PKG/usr/share # We moved the docs from there
+mv $PKG/usr/share/$PRGNAM-$VERSION/examples $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share # We moved the docs from there
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install